## mx4j.remote
Class ProviderFactory

    java.lang.Object
      mx4j.remote.ProviderHelper
          mx4j.remote.ProviderFactory

public class ProviderFactory
extends ProviderHelper

Version:
  $Revision: 1.8 $

Constructor Summary
`ProviderFactory()`

Method Summary
`static javax.management.remote.JMXConnector` `newJMXConnector(javax.management.remote.JMXServiceURL url, java.util.Map env)`
`static javax.management.remote.JMXConnectorServer` `newJMXConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map env, javax.management.MBeanServer server)`

Methods inherited from class mx4j.remote.ProviderHelper
`constructClassName, findSystemPackageList, getLogger, loadClass, normalizeProtocol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderFactory

    public ProviderFactory()

Method Detail

### newJMXConnector

    public static javax.management.remote.JMXConnector newJMXConnector(javax.management.remote.JMXServiceURL url,
                                                                       java.util.Map env)
                                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### newJMXConnectorServer

    public static javax.management.remote.JMXConnectorServer newJMXConnectorServer(javax.management.remote.JMXServiceURL url,
                                                                                   java.util.Map env,
                                                                                   javax.management.MBeanServer server)
                                                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.